Update Location
curl --request PUT \
--url https://api.swoogo.com/api/v1/locations/update/{location_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data capacity= \
--data color= \
--data name= \
--data use_event_address=import requests
url = "https://api.swoogo.com/api/v1/locations/update/{location_id}"
payload = {
"capacity": "",
"color": "",
"name": "",
"use_event_address": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({capacity: '', color: '', name: '', use_event_address: ''})
};
fetch('https://api.swoogo.com/api/v1/locations/update/{location_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"code": 0,
"status": 401
}{
"name": "Forbidden",
"message": "You do not have access to that resource.",
"code": 0,
"status": 403
}{
"name": "Not Found",
"message": "The requested resource does not exist.",
"code": 0,
"status": 404
}{
"name": "Internal Server Error",
"message": "An error occurred while processing your request.",
"code": 0,
"status": 500
}Session Locations
Update Location
Updates an existing session location by its ID. You can modify the name, capacity, and address. Only the fields included in the request body will be updated.
PUT
/
locations
/
update
/
{location_id}
Update Location
Authorizations
OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.
Path Parameters
integer - required - The ID of the location you want to update
Example:
1
Body
application/x-www-form-urlencoded
Response
⌘I